--- title: "Delete User" url: https://docs.catalyst.zoho.com/en/api/code-reference/cloud-scale/authentication/delete-user/ service: Cloud Scale type: api --- # Delete User ### Description This API enables you to delete a user and completely remove their access to your Catalyst application. ### Request Details #### Request URL

{api-domain}/baas/v1/project/{project_id}/project-user/{user_id}

The DC-specific domain to access Catalyst API The unique ID of the project The unique User ID of the user generated by Catalyst
#### Request Headers **Authorization:** Zoho-oauthtoken {oauth_token}

**Optional Headers**
**CATALYST-ORG:** {org_id} **Environment:** Development #### Scope ZohoCatalyst.projects.users.DELETE
Note: This operation can also be executed with Catalyst user authentication permissions using Catalyst SDKs. However, the user can only obtain their own user details. Refer to the [Catalyst API Prerequisites section](/en/api/introduction/overview-and-prerequisites/#prerequisites) for details. ### Response Details The response will contain the details of the deleted user including their identification values such as zaid, user_id, email_id, and their role details. curl -X DELETE \ https://api.catalyst.zoho.com/baas/v1/project/3000000005007/project-user/671930409 \ -H "Authorization: Zoho-oauthtoken 1000.910*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*6.2f*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*57" { "status": "success", "data": { "zuid": 3000000006111, "zaaid": 1019540153, "status": "ACTIVE", "user_id": 671930409, "user_type": "App Administrator", "is_confirmed": true, "email_id": "p.boyle@zylker.com", "first_name": "Patricia", "last_name": "Boyle", "created_time": "Jul 09, 2019 04:11 PM", "modified_time": "Jul 09, 2019 04:11 PM", "invited_time": "Jul 09, 2019 04:11 PM", "role_details": { "role_id": 3000000005090, "role_name": "App Administrator" } "org_id":1019540153 "locale": "us|en_us|America/Los_Angeles" "time_zone": "America/Los_Angeles" } } Delete User - Java SDK

Delete User - Node.js SDK

Delete User - Python SDK